version: '2'
services:

  php:
    build:
      context: ..
      args:
        DOCKER_YII2_PHP_IMAGE: ${DOCKER_YII2_PHP_IMAGE}
    working_dir: /project
    volumes:
      - ../tests/data/config-docker.php:/project/tests/data/config.php
      # Enable for debugging, enabling tests might be slow for file access (data) on host-volume
      - ../tests:/project/tests
      - ../framework:/project/framework
    # Tmpfs volume (experimental, asset tests may fail)
    #tmpfs:
    #  - /project/tests/runtime
    environment:
      - TEST_RUNTIME_PATH=/tmp/runtime
